summaryrefslogtreecommitdiffstats
path: root/update_jdn.sh
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@debian.org>2017-08-11 18:55:55 +0200
committerMattia Rizzolo <mattia@debian.org>2017-08-11 18:55:55 +0200
commit468d8b650e553dfd40e12369d2809caf90bc44f9 (patch)
treeaa000143b82ace209dfd6e1c9e71a0b8186a46c4 /update_jdn.sh
parent096e85b5f6ff77c60b5e3b53fa2038171ee955a3 (diff)
downloadjenkins.debian.net-468d8b650e553dfd40e12369d2809caf90bc44f9.tar.xz
update_jdn: force reconfiguration of apache and munin when update_jdn.sh is updated
Signed-off-by: Mattia Rizzolo <mattia@debian.org>
Diffstat (limited to 'update_jdn.sh')
-rwxr-xr-xupdate_jdn.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index c5400c3f..120bff1f 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -569,7 +569,7 @@ sudo chown root.root /etc/sudoers.d/jenkins-adm ; sudo chmod 700 /etc/sudoers.d/
[ -f /etc/mailname ] || ( echo $HOSTNAME.debian.net | sudo tee /etc/mailname )
if [ "$HOSTNAME" = "jenkins" ] ; then
- if [ $BASEDIR/hosts/$HOSTNAME/etc/apache2 -nt $STAMP ] || [ ! -f $STAMP ] ; then
+ if ! $UP2DATE || [ $BASEDIR/hosts/$HOSTNAME/etc/apache2 -nt $STAMP ] ; then
if [ ! -e /etc/apache2/mods-enabled/proxy.load ] ; then
sudo a2enmod proxy
sudo a2enmod proxy_http
@@ -594,7 +594,7 @@ if [ "$HOSTNAME" = "jenkins" ] ; then
fi
fi
-if [ $BASEDIR/hosts/$HOSTNAME/etc/munin -nt $STAMP ] || [ ! -f $STAMP ] ; then
+if ! $UP2DATE || [ $BASEDIR/hosts/$HOSTNAME/etc/munin -nt $STAMP ] ; then
cd /etc/munin/plugins
sudo rm -f postfix_* open_inodes interrupts irqstats threads proc_pri vmstat if_err_* exim_* netstat fw_forwarded_local fw_packets forks open_files users nfs* iostat_ios ntp* 2>/dev/null
case $HOSTNAME in